Skip to main content
PUT
/
api
/
v1
/
beam
/
{config_id}
/
transforms
/
{transform_uid}
/
filter-values
Replace filter values
curl --request PUT \
  --url https://api.example.com/api/v1/beam/{config_id}/transforms/{transform_uid}/filter-values
PUT /api/v1/beam/{config_id}/transforms/{transform_uid}/filter-values
Atomically replaces all values in the filter. An empty list clears the filter entirely. Changes take effect immediately — no redeploy needed. Path parameters:
ParameterDescription
config_idPipeline configuration ID
transform_uidUID of the set filter transform
Request body:
{
  "values": ["0x3c499c542cef5e3811e1192ce70d8cc03d5c3359"]
}
FieldRequiredDescription
valuesYesArray of string values to replace the entire filter with. Empty list clears the filter.
curl -X PUT https://api.allium.so/api/v1/beam/${CONFIG_ID}/transforms/${TRANSFORM_UID}/filter-values \
  -H "X-API-Key: ${ALLIUM_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{ "values": ["0x3c499c542cef5e3811e1192ce70d8cc03d5c3359"] }'
Response:
{ "count": 1 }